#include <iostream>
#include <map>
#include <vector>
#include <algorithm>
#include <iomanip>

int main()
{
	double last = 0, current, sum = 0;
	int N; std::cin >> N;
	std::vector<std::pair<int, double>> v(N);
	for (auto& i : v) std::cin >> i.first >> i.second;
	std::sort(v.begin(), v.end(), [](std::pair<int, double> f, std::pair<int, double> s) {return f.second < s.second; });
	for (const auto&i:v) sum += i.first;
	for (int i = 0; i < N; ++i) {
		current = sum * (v[i].second / 100.0);
		if (current < last)
			break;
		last = current;
		sum -= v[i].first;
	}
	std::cout << std::setprecision(4) << std::fixed << last;
}